#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int N, L, i=1;
    cin>>N>>L;
    if(N>=1 and N<=1000 and L>=1 and L<=1000000000){
    vector<int> H(N);
    for(i;i<=N;i++){
        cin>>H[i];
        if(H[i]<1 or H[i]>1000000000)
            return 0;
        if(L>=H[i])
            break;
    }
    if(i==N+1)
        cout<<"-1";
    else
        cout<<i;
    H.clear();}
    else
        cout<<"Unete velicine prekoracavaju granicu. ";
    return 0;
}